1. Campaign
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
        POST
      • Create a new subsequence
        POST
      • List campaigns (deprecated)
        GET
      • List all campaigns
        GET
      • Get campaign name
        GET
      • Get campaign status
        GET
      • Get campaign email accounts
        GET
      • Get campaign emails
        GET
      • Get campaign variation stats
        GET
      • Set campaign name
        POST
      • Set campaign Schedules (deprecated)
        POST
      • Activate campaign
        POST
      • Pause campaign
        POST
      • Update Campaign
        PATCH
      • Delete or archive a campaign
        DELETE
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
      • Get email account status
      • Check account vitals
      • Enable Email account warmup
      • Pause Email account warmup
      • Delete Email account
      • Get Warmup Stats (Workspace-Level)
      • Bulk Add SMTP Accounts
      • Bulk Update Email Accounts
      • Bulk Update Email Account Warmup Status
      • Bulk Assign/Remove Tags from Email Accounts
      • Bulk reconnect email accounts
      • Get email account stats for a date range
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
    • List all email accounts in the workspace
    • Check if an email exists in another workspace
    • Initiate Google OAuth login flow
    • Initiate Microsoft OAuth login flow
    • Bulk Add SMTP Accounts (via Username and Password)
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. Campaign

List all campaigns

GET
https://api.plusvibe.ai/api/v1/campaign/list-all
Retrieve a list of campaigns for a specific workspace with optional filtering capabilities. Results are sorted by creation date with the newest campaigns first.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200OK
application/json
Successfully retrieved campaigns
Bodyapplication/json

🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plusvibe.ai/api/v1/campaign/list-all?workspace_id=undefined&campaign_id=undefined&parent_camp_id=undefined&status=undefined&campaign_type=undefined&skip=undefined&limit=undefined' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Success Example
{
    "id": "67b5aeac332004b217cfa997",
    "camp_name": "Product Demo Campaign",
    "parent_camp_id": "",
    "campaign_type": "parent",
    "organization_id": "6509f7691205283f2a79f98b",
    "workspace_id": "6509f7691205283f2a79f98c",
    "status": "COMPLETED",
    "created_at": "2025-02-19T10:13:00.788Z",
    "modified_at": "2025-03-03T17:39:00.223Z",
    "tags": [
        "66facee0d4198b6a2e461ce1"
    ],
    "template_id": "",
    "email_accounts": [
        "6746f785a5ecee09c96240e6",
        "67a444ee50b2a05f84141207"
    ],
    "daily_limit": 600,
    "interval_limit_in_min": 1,
    "send_priority": 0.25,
    "send_as_txt": 1,
    "is_emailopened_tracking": 0,
    "is_unsubscribed_link": 0,
    "exclude_ooo": 0,
    "is_acc_based_sending": 0,
    "send_risky_email": 0,
    "send_seg_email": 1,
    "unsub_blocklist": 0,
    "other_email_acc": 1,
    "is_esp_match": 0,
    "stop_on_lead_replied": 1,
    "is_pause_on_bouncerate": 0,
    "bounce_rate_limit": 5,
    "is_paused_at_bounced": 0,
    "last_paused_at_bounced": "",
    "schedule": {
        "days": [
            "Monday",
            "Tuesday",
            "Wednesday",
            "Thursday",
            "Friday"
        ],
        "from_time": "10:00",
        "to_time": "17:00",
        "tz": "America/New_York"
    },
    "first_wait_time": 3,
    "camp_st_date": "",
    "camp_end_date": "",
    "events": [
        ""
    ],
    "last_lead_sent": "2025-03-03T17:38:44.179Z",
    "sequences": [
        {
            "step": 1,
            "wait_time": 2,
            "variations": [
                {
                    "variation": "A",
                    "subject": "Your product needs evaluation",
                    "body": "<div>Hello {{first_name}},</div><div> </div><div>I noticed your company is using similar solutions and wanted to reach out.</div><div> </div><div>Our platform offers competitive features at a better price point.</div><div> </div><div>Would you be interested in a demo?</div><div> </div><div>Best regards,</div><div>{{sender_first_name}}</div>"
                }
            ]
        }
    ],
    "sequence_steps": 3,
    "camp_emails": [
        ""
    ],
    "lead_count": 432,
    "completed_lead_count": 432,
    "lead_contacted_count": 286,
    "sent_count": 841,
    "opened_count": 0,
    "unique_opened_count": 0,
    "replied_count": 3,
    "bounced_count": 8,
    "unsubscribed_count": 0,
    "positive_reply_count": 2,
    "negative_reply_count": 0,
    "neutral_reply_count": 0,
    "email_sent_today": 0,
    "opportunity_val": 0,
    "open_rate": 0,
    "replied_rate": 1,
    "custom_fields": [
        ""
    ]
}
Modified at 2026-07-24 16:34:04
Previous
List campaigns (deprecated)
Next
Get campaign name
Built with